//
//  ImgPickerViewController.m
//  WYZ_ImgPickerc
//
//  Created by 王宇宙 on 16/7/13.
//  Copyright © 2016年 王宇宙. All rights reserved.
//

#import "ImgPickerViewController.h"
#import "AssetGroupTableViewController.h"

@interface ImgPickerViewController ()

@property(nonatomic,strong) AssetGroupTableViewController* rootVc;

@end

@implementation ImgPickerViewController

-(instancetype)init{
    self=[super initWithRootViewController:self.rootVc];
    if (self) {
        self.navigationBar.tintColor=[UIColor whiteColor];
        self.navigationBar.barTintColor=[UIColor lightGrayColor];
    }
    return self;
}
-(AssetGroupTableViewController *)rootVc{
    if (!_rootVc) {
        _rootVc=[[AssetGroupTableViewController alloc]init];
        _rootVc.navigationItem.title=@"选择相册";
        
        UIBarButtonItem *cancelItem = [[UIBarButtonItem alloc] initWithTitle:@"取消" style:UIBarButtonItemStylePlain target:self action:@selector(dismiss)];
        _rootVc.navigationItem.leftBarButtonItem = cancelItem;
        
    }
    return _rootVc;
}
- (void)dismiss{
    [self dismissViewControllerAnimated:YES completion:nil];
}
- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
